"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deriveTmpTokenAccountAddress = void 0;
const connect_sdk_solana_1 = require("@wormhole-foundation/connect-sdk-solana");
const web3_js_1 = require("@solana/web3.js");
function deriveTmpTokenAccountAddress(programId, mint) {
    return connect_sdk_solana_1.utils.deriveAddress([Buffer.from('tmp'), new web3_js_1.PublicKey(mint).toBuffer()], programId);
}
exports.deriveTmpTokenAccountAddress = deriveTmpTokenAccountAddress;
//# sourceMappingURL=tmpTokenAccount.js.map